<template src="./edit.htm"></template>

<script>

    import Vue from 'vue';
    import EditInfo from './components/info/EditInfoComponent.vue';

    import { breadcrumbsMixin } from '../../../mixins/breadcrumbsMixin.js';
    import HandleEntityMixin from '../../../mixins/entities/handleEntityMixin.js';
    import HandleWarehouseMixin from '../../mixins/handleWarehouseMixin.js';
    import GetEntityMixin from '../../../mixins/entities/getEntityMixin.js';
    import ValidationErrorsMixin from '../../../mixins/validationErrorsMixin.js';

    Vue.component('edit-info', EditInfo);

    export default {

        mounted() {

            this.getEntityMixin('warehouses', this.$route.params.id, 'setWarehouse');
        },

        data() {

            return {

            }
        },

        mixins: [
            breadcrumbsMixin,
            HandleEntityMixin,
            HandleWarehouseMixin,
            GetEntityMixin,
            ValidationErrorsMixin
        ],

        methods: {

            /**
             * Create warehouse from store, and redirect to given action (index, create).
             **/
            editWarehouse(action) {

                this.handleEntity('warehouse', action, route('admin.warehouses.update', this.$route.params.id));
            }
        }
    }

</script>